Skip to main content
POST
/
v1
/
documents
/
extraction
/
ind_passport
Ind Passport Ocr
curl --request POST \
  --url https://production.deepvue.tech/v1/documents/extraction/ind_passport \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "document1": "<string>",
  "document2": "<string>",
  "name": "<string>"
}
'
{
  "code": 200,
  "transaction_id": "0ff82adf-a9d6-4495-88f7-aabeea78ddb3",
  "message": "Document processed successfuly",
  "data": {
    "address": "B - XXX / Y STREET NO.X XXXXXX , DELHI PIN : 1100XX, DELHI, INDIA",
    "date_of_birth": "1994-01-19",
    "date_of_expiry": "20XX-XX-28",
    "date_of_issue": "20XX-XX-29",
    "district": "DELHI",
    "fathers_name": "KANDPAL",
    "file_number": "DL1069718453416",
    "first_name": "CHANDRA SHEKHAR",
    "gender": "MALE",
    "id_number": "NXXXXXXX",
    "is_scanned": false,
    "last_name": "KANDPAL",
    "mothers_name": "INDIRA KANDPAL",
    "name_of_spouse": null,
    "name_on_card": "CHANDRA SHEKHAR KANDPAL",
    "nationality": "INDIAN",
    "pincode": "1100XX",
    "place_of_birth": ", DELHI",
    "place_of_issue": "DELHI",
    "state": "Delhi"
  }
}

Documentation Index

Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .

x-api-key
string
header
required

The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.

Body

application/json
document1
string
required

The main document being submitted for extraction of respective information.

document2
string

The secondary document being submitted along with the primary document for extraction of respective information.

name
string

The name of the document being submitted for extraction of respective information.

Response

Successful Response

code
integer
default:200
transaction_id
string
message
string
default:Document processed successfuly
data
Data · object